package com.poyee;

import com.tzy.common.dto.InDto;

import java.util.Date;
import java.util.Map;

/**
 * @author by po'yi
 * @Classname BaseTest
 * @Description TODO
 * @Date 2022/11/14 19:12
 */
public class BaseTest {

	/**
	 * 构建2442用户参数
	 * @param data
	 * @return
	 */
	protected InDto buildUserIndto(Map<String, Object> data){
		InDto inDto = new InDto();
		inDto.setData(data);
		inDto.setUserType("userType");
		inDto.setAppid("wx22a7349c29e688d4");
		inDto.setUnionid("oAbrM6qK1qZO4PbvMLREcAR60JZQ");
		inDto.setUsername("15618709098");
		inDto.setVersion("1.7.38");
		inDto.setDepartId(103);
		inDto.setTimestamp(new Date().getTime());
		return inDto;
	}

	/**
	 * 构建13号商家参数
	 * @param data
	 * @return
	 */
	protected InDto buildMerchantIndto(Map<String, Object> data){
		InDto inDto = new InDto();
		inDto.setData(data);
		inDto.setUserType("WX_AUTH");
		inDto.setAppid("wx22a7349c29e688d4");
		inDto.setUnionid("oAbrM6qK1qZO4PbvMLREcAR60JZQ");
		inDto.setUsername("13071005103");
		inDto.setVersion("1.6.38");
		inDto.setDepartId(103);
		inDto.setTimestamp(new Date().getTime());
		return inDto;
	}
}
